using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DuckModel
{
    class DecoyDuck : DuckBehaviour
    {
        public override void Display()
        {
            Console.WriteLine("drew a decoy duck");
        }

        DecoyDuck()
        {
            base.SetFlyBehaviour(new NoFly());
            base.SetQuackBehaviour(new MuteQuack());
        }
    }
}
